Bug 88711 - EDITING: Give command uno:BasicStepOut a function key by default
Summary: EDITING: Give command uno:BasicStepOut a function key by default
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Kishor Bhat
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2015-01-22 16:17 UTC by Cor Nouws
Modified: 2015-12-15 23:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-01-22 16:17:11 UTC
StepInto has F8
StepOver has Shift+F8
let's give Ctrl+Shift+F8 to
   GenericCommands.UserInterface.Commands.uno:BasicStepOut
Comment 1 Cor Nouws 2015-01-22 16:17:43 UTC
easy hack :)
Comment 2 Kishor Bhat 2015-01-28 13:42:10 UTC
Hi,

I'd like to do this, and hope to resolve it soon. :)

Regards,
Kishor Bhat
Comment 3 Commit Notification 2015-02-02 10:07:01 UTC
Kishor Bhat committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd1ef615c0a56e8c7e92cfe0293c9770b72bddf3

tdf#88711 add binding for BasicStepOut

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Adolfo Jayme 2015-02-02 10:51:18 UTC
Thanks!
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:36:55 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp)
[NinjaEdit]